org.apache.xalan.xsltc.runtime

## Class Hashtable

- java.lang.Object
- - org.apache.xalan.xsltc.runtime.Hashtable

    public class Hashtable
    extends java.lang.Object

The main hash-table implementation

### Constructor Summary

Constructors
Constructor and Description
`Hashtable()` Constructs a new, empty hashtable with a default capacity and load factor.
`Hashtable(int initialCapacity)` Constructs a new, empty hashtable with the specified initial capacity and default load factor.
`Hashtable(int initialCapacity, float loadFactor)` Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

### Method Summary

Methods
`void` `clear()` Clears this hashtable so that it contains no keys.
`boolean` `contains(java.lang.Object value)` Tests if some key maps into the specified value in this hashtable.
`boolean` `containsKey(java.lang.Object key)` Tests if the specified object is a key in this hashtable.
`java.util.Enumeration` `elements()` Returns an enumeration of the values in this hashtable.
`java.lang.Object` `get(java.lang.Object key)` Returns the value to which the specified key is mapped in this hashtable.
`boolean` `isEmpty()` Tests if this hashtable maps no keys to values.
`java.util.Enumeration` `keys()` Returns an enumeration of the keys in this hashtable.
`java.lang.Object` `put(java.lang.Object key, java.lang.Object value)` Maps the specified `key` to the specified `value` in this hashtable.
`java.lang.Object` `remove(java.lang.Object key)` Removes the key (and its corresponding value) from this hashtable.
`int` `size()` Returns the number of keys in this hashtable.
`java.lang.String` `toString()` Returns a rather long string representation of this hashtable.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Hashtable

    public Hashtable(int initialCapacity,
             float loadFactor)

Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

#### Hashtable

    public Hashtable(int initialCapacity)

Constructs a new, empty hashtable with the specified initial capacity and default load factor.

#### Hashtable

    public Hashtable()

Constructs a new, empty hashtable with a default capacity and load factor.

### Method Detail

#### size

    public int size()

Returns the number of keys in this hashtable.

#### isEmpty

    public boolean isEmpty()

Tests if this hashtable maps no keys to values.

#### keys

    public java.util.Enumeration keys()

Returns an enumeration of the keys in this hashtable.

#### elements

    public java.util.Enumeration elements()

Returns an enumeration of the values in this hashtable. Use the Enumeration methods on the returned object to fetch the elements sequentially.

#### contains

    public boolean contains(java.lang.Object value)

Tests if some key maps into the specified value in this hashtable. This operation is more expensive than the `containsKey` method.

#### containsKey

    public boolean containsKey(java.lang.Object key)

Tests if the specified object is a key in this hashtable.

#### get

    public java.lang.Object get(java.lang.Object key)

Returns the value to which the specified key is mapped in this hashtable.

#### put

    public java.lang.Object put(java.lang.Object key,
                       java.lang.Object value)

Maps the specified `key` to the specified `value` in this hashtable. Neither the key nor the value can be `null`.

The value can be retrieved by calling the `get` method with a key that is equal to the original key.

#### remove

    public java.lang.Object remove(java.lang.Object key)

Removes the key (and its corresponding value) from this hashtable. This method does nothing if the key is not in the hashtable.

#### clear

    public void clear()

Clears this hashtable so that it contains no keys.

#### toString

    public java.lang.String toString()

Returns a rather long string representation of this hashtable. Handy for debugging - leave it here!!!

Overrides:
  `toString` in class `java.lang.Object`